Subject: Re: bug#60525: 29.0.60; tree-sitter support in semantic-symref

From: Dmitry Gutov <[email-masked]>
Date: Wed, 4 Jan 2023 19:03:28 +0200

On 04/01/2023 18:57, Eli Zaretskii wrote:
> I' aware of the redundancy.  But since we decided to go with those
> separate modes in Emacs 29, I think the redundancy is in general
> unavoidable.  If we can use the fact that auto-mode-alist already
> mentions both modes, and we can do that cleanly, it's fine by me.
> Otherwise we will have to live with this for now.

I believe Stefan is referring to redundancy between auto-mode-alist and 
semantic-symref-filepattern-alist. Which seems unavoidable so far as the 
former requires just one element in the car position, and the latter 
works with lists of filename globs.